# mPy - simple neopixel demonstration on ESP32 pin 25
# Provided by Anthony Vogelaar, Perth Scotland
# rev 0.10  2025-05-20  initial release

from	machine		import	Pin
import	neopixel	as		npx

# =========================== Main ================================

def main():
    leds = npx.NeoPixel(Pin(25), 6)		# Setup for 6 leds on Pin 25
    leds[0] = [255,   0,   0]			# Green
    leds[1] = [  0, 255,   0]			# Red
    leds[2] = [  0,   0, 255]			# Blue
    leds[3] = [255, 255, 255]			# White
    leds.write()
    
    
main()

# ============================ End =================================
